# 构建 logstash6 镜像

## 导入文件
- [logstash-$VERSION.tar.gz](https://www.elastic.co/cn/downloads/logstash)

## 定制
- 创建日志目录和插件目录
- 在启动参数中指定数据目录和日志目录，覆盖配置文件

## 外挂目录和文件
- /opt/logstash/config: logstash 配置目录
- /opt/logstash/data: logstash 数据目录
- /opt/logstash/logs: logstash 日志目录
- /opt/logstash/offline-plugins: logstash 离线插件目录，把离线插件文件(xxxx.zip)放在该目录下，重启容器后可以自动安装

## 案例
- [Demo/SingleNode/](Demo/SingleNode/): 部署 logstash6

