# 部署 PostgreSQL 单节点

- 按实际环境修改
    - docker-compose.yml
    - pgsql/conf.d/\*.cnf

- 创建目录
    ```
    grep '\<source:' docker-compose.yml | cut -d: -f2 | xargs mkdir -p
    ```

- 启动
    ```
    docker-compose up -d
    ```

- 查看日志，直至出现 "PGSQL is ready for connections."
    ```
    docker-compose logs pgsql
    ```

