# 构建 postgresql 镜像

## 定制
- 安装 postgresql
- 固定一些常用配置
- 第一次启动 postgresql 时，会执行如下操作
    - 初始化数据目录

## 外挂目录和文件
- /var/lib/pgsql/: pgsql 数据目录
- /etc/conf.d/: pgsql 配置文件目录，覆盖数据目录下的 postgresql.conf
- /var/log/pgsql: pgsql 日志目录

## 案例
- [Demo/SingleNode/](Demo/SingleNode/): 单节点
- [Demo/StreamReplication/](Demo/StreamReplication/): 流复制

