# 构建 nginx-php 镜像

## 定制
- 安装 nginx 和 php7
- 固定一些常用配置
- 每 10 秒扫描一次配置文件，有变更会立即 reload

## 外挂目录和文件
- /etc/nginx/stream.d: nginx stream 配置文件
- /etc/nginx/http.d: nginx http 配置文件
- /var/lib/nginx/html: nginx 前端文件存放目录
- /var/log/nginx: nginx 日志目录
- /var/log/php7: php7 日志目录

## 案例
- [Demo/SingleNode/](Demo/SingleNode/): 部署 nginx-php

