# 构建 nginx 镜像

## 定制
- 安装 nginx
- 固定一些常用配置
- 每 10 秒扫描一次配置文件，有变更会立即 reload

## 外挂目录和文件
- /etc/nginx/stream.d: nginx stream 配置文件
- /etc/nginx/http.d: nginx http 配置文件
- /var/lib/nginx/html: nginx 前端文件存放目录
- /var/log/nginx: nginx 日志目录

## 引入环境变量
- GLOBAL_DIRECTIVES: 一般用不到

## 案例
- [Demo/SingleNode/](Demo/SingleNode/): 单节点
- [Demo/TwoNodes/](Demo/TwoNodes/): 两节点+高可用

