# 构建 zookeeper 镜像

## 导入文件
- [apache-zookeeper-$VERSION-bin.tar.gz](https://zookeeper.apache.org/releases.html)

## 定制
- 创建日志目录和数据目录
- 指定数据目录和日志目录，覆盖配置文件

## 外挂目录和文件
- /opt/zk/{dataLog,data}: zookeeper 数据目录
- /opt/zk/logs: zookeeper 日志目录

## 引入环境变量
- JVMFLAGS: jdk 参数
- MYID: zookeeper id

## 案例
- [Demo/SingleNode/](Demo/SingleNode/): 部署 zookeeper 单节点
- [Demo/ThreeNodes/](Demo/ThreeNodes/): 部署 zookeeper 集群

